/* stylelint-disable no-descending-specificity */
.t-table-head {
  @apply flex items-center justify-between;

  .tblhd-sortable {
    @apply flex items-center justify-between w-full;

    .tblhd-box {
      @apply ml-2;

      .tblhd-icon {
        &::before {
          @apply block leading-none antialiased bg-no-repeat h-[15px] w-[12px] opacity-50;

          content: '';
          background-size: 12px 15px;
        }

        &.disabled::before {
          @apply opacity-0;

          content: '';
        }

        &.asc::before {
          @apply opacity-100;
        }

        &.desc::before {
          @apply opacity-100;
        }

        &:not(.asc, .desc):hover::before {
          @apply opacity-100;
        }
      }
    }
  }

  .tblhd-filterable {
    @apply ml-2;

    .tblhd-icon {
      &::before {
        @apply block leading-none antialiased bg-no-repeat h-[14px] w-[14px] opacity-50;

        content: '';
        background-size: 14px 14px;
      }

      &.active::before {
        @apply opacity-100;
      }

      &:not(.active):hover::before {
        @apply opacity-100;
      }
    }
  }
}
